package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 材料是否容缺（必要.必要，非必要.非必要）枚举类
*
* @author zxfei
*/
public enum IsLackEnum {
    必要("必要", "必要"),
    非必要("非必要", "非必要");
    private String value;
    private String desc;

    IsLackEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static IsLackEnum getByValue(String value) {
        for (IsLackEnum isLackEnum : IsLackEnum.values()) {
            if (isLackEnum.getValue() == value) {
                return isLackEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (IsLackEnum item : IsLackEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}